# Modeled after: https://github.com/Aider-AI/aider-install/blob/db826978b0c83170bdf4994b2307870a92c6e35e/aider_install/main.py
# Apache 2.0 License: https://github.com/Aider-AI/aider-install/blob/main/LICENSE.txt
import subprocess
import sys
import uv
import os


def install():
    print("Installing...")
    try:
        uv_bin = uv.find_uv_bin()
        # Forward all arguments received to the subprocess call
        subprocess.check_call(
            [
                uv_bin,
                "tool",
                "run",
                "--python=python3.13",
                "mesop@latest",
                *sys.argv[1:],  # Forward additional arguments
            ]
        )
        subprocess.check_call([uv_bin, "tool", "update-shell"])
    except subprocess.CalledProcessError as e:
        print(f"Failed to run $APP_NAME: {e}")
        sys.exit(1)


if __name__ == "__main__":
    install()
